# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema[7.0].define(version: 2023_05_23_120753) do
  create_table "donations", force: :cascade do |t|
    t.integer "user_id"
    t.integer "amount_sats"
    t.integer "amount_eur"
    t.integer "amount_usd"
    t.string "public_name"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.datetime "paid_at", precision: nil
    t.index ["user_id"], name: "index_donations_on_user_id"
  end

  create_table "flipper_features", force: :cascade do |t|
    t.string "key", null: false
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["key"], name: "index_flipper_features_on_key", unique: true
  end

  create_table "flipper_gates", force: :cascade do |t|
    t.string "feature_key", null: false
    t.string "key", null: false
    t.string "value"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["feature_key", "key", "value"], name: "index_flipper_gates_on_feature_key_and_key_and_value", unique: true
  end

  create_table "invitations", force: :cascade do |t|
    t.string "token"
    t.integer "user_id"
    t.integer "invited_user_id"
    t.datetime "used_at", precision: nil
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["invited_user_id"], name: "index_invitations_on_invited_user_id"
    t.index ["user_id"], name: "index_invitations_on_user_id"
  end

  create_table "remote_storage_authorizations", force: :cascade do |t|
    t.integer "user_id", null: false
    t.string "token"
    t.text "permissions", default: "--- []\n"
    t.string "client_id"
    t.string "redirect_uri"
    t.string "app_name"
    t.datetime "expire_at"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["permissions"], name: "index_remote_storage_authorizations_on_permissions"
    t.index ["user_id"], name: "index_remote_storage_authorizations_on_user_id"
  end

  create_table "settings", force: :cascade do |t|
    t.string "var", null: false
    t.text "value"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.index ["var"], name: "index_settings_on_var", unique: true
  end

  create_table "users", force: :cascade do |t|
    t.string "cn"
    t.string "ou"
    t.datetime "created_at", null: false
    t.datetime "updated_at", null: false
    t.string "email", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at", precision: nil
    t.string "confirmation_token"
    t.datetime "confirmed_at", precision: nil
    t.datetime "confirmation_sent_at", precision: nil
    t.string "unconfirmed_email"
    t.text "ln_login_ciphertext"
    t.text "ln_password_ciphertext"
    t.string "ln_account"
    t.datetime "remember_created_at"
    t.string "remember_token"
    t.text "preferences"
    t.string "nostr_pubkey"
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
  end

  add_foreign_key "remote_storage_authorizations", "users"
end
